Subject: Re: [PATCH 1/2] ref-filter: remove unused ref_format member

From: Junio C Hamano <[email-masked]>
Date: Thu, 30 Mar 2023 08:25:26 -0700

Junio C Hamano <[email-masked]> writes:

> Øystein Walle <[email-masked]> writes:
>
>> use_rest was added in b9dee075eb (ref-filter: add %(rest) atom,
>> 2021-07-26) but was never used. As far as I can tell it was used in a
>> later patch that was submitted to the mailing list but never applied.
>>
>> Signed-off-by: Øystein Walle <[email-masked]>
>> ---
>> Would be nice to have a link to the email thread here, but I don't know
>> how.
>
>
> Here is a link to the patch that led to that commit you cited:
>
> https://lore.kernel.org/git/207c[email-masked]/
>
> It indeed is cumbersome to add, as the Message-Ids for patches from
> GitGitGadget tend to be ultra long.
>
> But b9dee075eb was the last one in the 5-patch series; I do
> not see any "later patch there in the thread.

I think there was a follow-up RFC series that was written to use the
value of the member, cf.

https://lore.kernel.org/git/9c5f[email-masked]/

but it seems there was no review on the series.